import { DayPickerContextValue } from '../../../contexts/DayPicker';
import { Modifiers } from '../../../types/Modifiers';
export declare type MoveFocusBy = 'day' | 'week' | 'startOfWeek' | 'endOfWeek' | 'month' | 'year';
export declare type MoveFocusDirection = 'after' | 'before';
export declare type MoveFocusOptions = Partial<Pick<DayPickerContextValue, 'weekStartsOn' | 'fromDate' | 'toDate' | 'locale'>>;
/** Return the next date to be focused. */
export declare function getNextFocus(
/** The day that is focused. */
focusedDay: Date, moveBy: MoveFocusBy, direction: MoveFocusDirection, options: MoveFocusOptions, modifiers?: Modifiers): Date;
